org.apache.catalina.util

## Class SessionConfig

- java.lang.Object
- - org.apache.catalina.util.SessionConfig

-     public class SessionConfig
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getSessionCookieName(Context context)` Determine the name to use for the session cookie for the provided context.
    `static String` | `getSessionCookiePath(Context context)` Determine the value to use for the session cookie path for the provided context.
    `static String` | `getSessionUriParamName(Context context)` Determine the name to use for the session path parameter for the provided context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSessionCookieName

          public static String getSessionCookieName(Context context)

      Determine the name to use for the session cookie for the provided context.
      Parameters:
        `context` - The context
      Returns:
        the cookie name for the context

    - #### getSessionUriParamName

          public static String getSessionUriParamName(Context context)

      Determine the name to use for the session path parameter for the provided context.
      Parameters:
        `context` - The context
      Returns:
        the parameter name for the session

    - #### getSessionCookiePath

          public static String getSessionCookiePath(Context context)

      Determine the value to use for the session cookie path for the provided context.
      Parameters:
        `context` - The context
      Returns:
        the parameter name for the session

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.